LibreOffice: XUnoControlContainer Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Public Member Functions | List of all members
XUnoControlContainer Interface Referencepublished

gives access to the tab controllers of a UnoControlContainer. More...

`import"XUnoControlContainer.idl";`

Inheritance diagram for XUnoControlContainer:

## Public Member Functions
void | setTabControllers ([in] sequence< com::sun::star::awt::XTabController > TabControllers)
| sets a set of tab controllers. More...
sequence< com::sun::star::awt::XTabController > | getTabControllers ()
| returns all currently specified tab controllers. More...
void | addTabController ([in] com::sun::star::awt::XTabController TabController)
| adds a single tab controller. More...
void | removeTabController ([in] com::sun::star::awt::XTabController TabController)
| removes a single tab controller. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the tab controllers of a UnoControlContainer.

## Member Function Documentation

## ◆ addTabController()

void addTabController | ( | [in] com::sun::star::awt::XTabController | TabController | ) |

adds a single tab controller.

## ◆ getTabControllers()

sequence<com::sun::star::awt::XTabController> getTabControllers | ( |  | ) |

returns all currently specified tab controllers.

## ◆ removeTabController()

void removeTabController | ( | [in] com::sun::star::awt::XTabController | TabController | ) |

removes a single tab controller.

## ◆ setTabControllers()

void setTabControllers | ( | [in] sequence< com::sun::star::awt::XTabController > | TabControllers | ) |

sets a set of tab controllers.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XUnoControlContainer.idl